Ignore:
Timestamp:
Nov 1, 2009 11:46:36 AM (12 years ago)
Author:
stefan
Message:

add REQUIREDPACKAGES variable

File:
1 edited

Legend:

Unmodified
Added
Removed
  • stable/BSPsplit/coin.m4

    r1431 r1432  
    37813781# flags to use when linking against this module and the directories where the module data resists.
    37823782# It also defines a COIN_HAS_MODULE preprocessor macro and makefile conditional.
     3783# Further, tolower(coin_has_$1) is set to "yes" and the packages of the module are added to
     3784# the REQUIREDPACKAGES variable, which can be used to setup a .pc file.
    37833785# The argument should be the name (MODULE) of the module (in correct lower
    37843786# and upper case), and a list of projects that belong to this module.
    3785 #, optionally a directory where to look at it, and
    3786 # optionally a file that need to be present in the package directory.
    37873787#
    37883788# It is also possible to specify a preinstalled version of this module
     
    38673867      [ m4_tolower(coin_has_$1)=yes
    38683868        AC_MSG_RESULT([yes: $m4_toupper($1)_VERSIONS])
     3869        REQUIREDPACKAGES="$REQUIREDPACKAGES $module_content"
     3870        AC_SUBST(REQUIREDPACKAGES)
    38693871      ],
    38703872      [ m4_tolower(coin_has_$1)=notGiven
     
    38883890  if test "x$m4_toupper($1)_LIBS" != x ; then
    38893891    AC_MSG_NOTICE([$1 LIBS   are $m4_toupper($1)_LIBS])
    3890     ADDLIBS="$m4_toupper($1)_LIBS $ADDLIBS"
    38913892  fi
    38923893  if test "x$m4_toupper($1)_DATA" != x ; then
Note: See TracChangeset for help on using the changeset viewer.